Get Session Scores For Run
curl --request GET \
--url https://api.pandaprobe.com/evaluations/session-runs/{run_id}/scores \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pandaprobe.com/evaluations/session-runs/{run_id}/scores"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pandaprobe.com/evaluations/session-runs/{run_id}/scores', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pandaprobe.com/evaluations/session-runs/{run_id}/scores"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"session_id": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"data_type": "<string>",
"value": "<string>",
"source": "<string>",
"status": "<string>",
"eval_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"author_user_id": "<string>",
"reason": "<string>",
"metadata": {},
"created_at": "<string>",
"updated_at": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Session Eval Runs
Get Session Scores For Run
List all session scores produced by a specific eval run.
Auth: Bearer + X-Project-ID | X-API-Key + X-Project-Name
GET
/
evaluations
/
session-runs
/
{run_id}
/
scores
Get Session Scores For Run
curl --request GET \
--url https://api.pandaprobe.com/evaluations/session-runs/{run_id}/scores \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pandaprobe.com/evaluations/session-runs/{run_id}/scores"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pandaprobe.com/evaluations/session-runs/{run_id}/scores', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pandaprobe.com/evaluations/session-runs/{run_id}/scores"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"session_id": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"data_type": "<string>",
"value": "<string>",
"source": "<string>",
"status": "<string>",
"eval_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"author_user_id": "<string>",
"reason": "<string>",
"metadata": {},
"created_at": "<string>",
"updated_at": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
HTTPBearerApiKeyProjectIDProjectName
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response

